//------------------------------------------------------------
//	Construction Kit
//	(with cd case by default)
//
//	http://thingiverse.com/Benjamin
//	http://www.thingiverse.com/thing:59260
//------------------------------------------------------------

show = "assembly"; // [assembly:assembly, plate:plate of 4 corners, double: plate of 8 corners]

sphere_radius = 12;
brick_length = 142;
brick_width = 125;
brick_thickness = 10;

//flatten the sphere
cut = 3;
clearance = 0.25;


precision = 12;

clr = clearance;
nbo = 1+sqrt(5)/2;


if (show == "assembly") {
	translate([-brick_length/2, -brick_width/2])
	cdCube();	
}

if (show == "plate") {
	color("orange")
	facePrint();
}

if (show == "double") {
	color("orange") {
		translate([-2.5*sphere_radius, 0, 0])
		facePrint();
		translate([2.5*sphere_radius, 0, 0])
		facePrint();
	}
}

//-----------------------------------------------------------------------------------------------
module facePrint() {
	translate([0, -1.5*sphere_radius, sphere_radius - brick_thickness/2 - cut]) {
	pairPrint();
	translate([0,3*sphere_radius, 0])
	scale ([-1, -1, 1]) 
	pairPrint();

	}
}
//-----------------------------------------------------------------------------------------------
module pairPrint() {
	translate([-1.5*sphere_radius, 0, 0])
	BLF_joint();

	translate([1.5*sphere_radius, 0, 0])
	scale ([-1, 1, 1]) 
	BLF_joint();
}
//-----------------------------------------------------------------------------------------------
module cdCube() {
	color("orange") {

	front();
	translate([0, brick_length, 0])
	scale([1, -1, 1])
	front();
	}
	TRBL(0);
}
//-----------------------------------------------------------------------------------------------
module front() {
	pair();
	translate([0, 0, brick_width])
	scale([1, 1, -1])
	pair();
}


//-----------------------------------------------------------------------------------------------
module pair() {
	BLF_joint();
	translate([brick_width + 2*brick_thickness, 0, 0])
	scale ([-1, 1, 1]) 
	BLF_joint();
}
//-----------------------------------------------------------------------------------------------
module BLF_joint () {
	difference () {
		translate([brick_thickness/nbo, brick_thickness/nbo, brick_thickness/2])
		sphere(r=sphere_radius, $fn= 4*precision);

		TRBL(clr);

		translate([0, 0, brick_thickness/2 - sphere_radius - 1.1*sphere_radius + cut])
		cube([2.2*sphere_radius, 2.2*sphere_radius, 2.2*sphere_radius], center=true);
	}
}
//-----------------------------------------------------------------------------------------------
module TRBL(pClear) {
	translate([0, 0, 0])
	rotate([90, 0, 90])
	 {
		cdCase(pClear, "GhostWhite");

		translate([0, 0, brick_thickness + brick_width ])
		cdCase(pClear, "GhostWhite");

		translate([0, brick_thickness, brick_thickness ])
		rotate([90, 0, 0])
		cdCase(pClear, "GhostWhite");

		translate([0, brick_width, brick_thickness ])
		rotate([90, 0, 0])
		cdCase(pClear, "GhostWhite");
	}
}
//-----------------------------------------------------------------------------------------------
module cdCase(pClear=0, pColor="orange") {
	color(pColor)
	cube([brick_length+pClear, brick_width+pClear, brick_thickness+pClear]);
}





