tri_base = 50;
tri_base_thick = 3.5;
clearance = 0.12;


//-----------------------------------------------------------------------
precision = 24;
tri_side = tri_base / sqrt(2);
tri_height = tri_base/2;
tri_corner_radius = 1.5*tri_base_thick;
tri_inner_radius = 0.4 * tri_base_thick;
tri_length = 125;
//-----------------------------------------------------------------------


translate([-tri_base/2, 0, 0])
color("LightGrey")
tri_plate();



//-----------------------------------------------------------------------
module tri_plate() {

	tri_base();

	translate([tri_base/2 + 2.5 * tri_base_thick, 0, tri_base_thick/2])
	rotate([90, 0, 0]) tri_connect(0, tri_length);
	
	translate([tri_base + 4 * tri_base_thick, 0, 0])
	union() {
		translate([tri_base/2, 0, tri_base_thick/2])
		rotate([90, 0, 0]) tri_connect(0, tri_length);
	
		translate([-tri_base/2, 0, tri_base_thick/2])
		rotate([90, 0, 0]) tri_connect(0, tri_length);
	
		translate([0, 0, tri_base_thick/2])
		rotate([90, 0, 90]) tri_connect(0, tri_base);
		
		translate([0, tri_length/2 - tri_base_thick, tri_base_thick/2])
		rotate([90, 0, 90]) tri_connect(0, tri_base);

		translate([0, -tri_length/2 + tri_base_thick, tri_base_thick/2])
		rotate([90, 0, 90]) tri_connect(0, tri_base);

		difference() {
			translate([0, (-tri_length/2 + tri_base_thick)/2, tri_base_thick/2])
			rotate([90, 0, atan(tri_base/(tri_length/2))])
			tri_connect(0, ((tri_length)/2)/cos(atan(tri_base/(tri_length/2))- 3));

			translate([tri_base/2 - tri_base_thick, (-tri_length/2 ), tri_base_thick/2])
			cube([tri_base_thick, tri_base_thick, 2*tri_base_thick], center=true);
		}

		difference() {
			translate([0, (tri_length/2 - tri_base_thick)/2, tri_base_thick/2])
			rotate([90, 0, atan(tri_base/(tri_length/2))])
			tri_connect(0, ((tri_length)/2)/cos(atan(tri_base/(tri_length/2))- 3));
		
			translate([-tri_base/2 + tri_base_thick, tri_length/2, tri_base_thick/2])
			cube([tri_base_thick, tri_base_thick, 2*tri_base_thick], center=true);
		}


	}
	
	translate ([0, -3, 0]) 
	rotate([0, 0, 180])
	tri_base();
}
//-----------------------------------------------------------------------
module tri_connect(pClear=0, pLength=30) {
	//translate([0, 0, (2*tri_height + tri_base_thick)/2])
	cube([tri_base_thick+2*pClear, tri_base_thick+2*pClear, pLength + tri_base_thick], center=true);
}
//-----------------------------------------------------------------------
module tri_base() {
	translate([0, tri_corner_radius, tri_base_thick/2]) {

		difference() {
			tri_frame();
			translate([tri_base/2, 0, 0]) tri_connect(clearance, 2*tri_base_thick);
			translate([-tri_base/2, 0, 0]) tri_connect(clearance, 2*tri_base_thick);
			translate([0, tri_height, 0]) tri_connect(clearance, 2*tri_base_thick);
		}
	}
}
//-----------------------------------------------------------------------
module tri_frame() {
	translate([tri_base/2, 0, 0]) cylinder(r=tri_corner_radius*0.9, h=tri_base_thick, center = true, $fn=precision);
	translate([-tri_base/2, 0, 0]) cylinder(r=tri_corner_radius*0.9, h=tri_base_thick, center = true, $fn=precision);
	translate([0, tri_height, 0]) cylinder(r=tri_corner_radius*0.9, h=tri_base_thick, center = true, $fn=precision);

difference () {
	hull() {
		translate([tri_base/2, 0, 0])
		cylinder(r=tri_corner_radius, h=tri_base_thick, center = true, $fn=precision);
		translate([-tri_base/2, 0, 0])
		cylinder(r=tri_corner_radius, h=tri_base_thick, center = true, $fn=precision);
		translate([0, tri_height, 0])
		cylinder(r=tri_corner_radius, h=tri_base_thick, center = true, $fn=precision);
	}
	hull() {
		translate([tri_base/2, 0, 0])
		cylinder(r=tri_inner_radius, h=tri_base_thick*2, center = true, $fn=precision);
		translate([-tri_base/2, 0, 0])
		cylinder(r=tri_inner_radius, h=tri_base_thick*2, center = true, $fn=precision);
		translate([0, tri_height, 0])
		cylinder(r=tri_inner_radius, h=tri_base_thick*2, center = true, $fn=precision);
	}						
}
}
//-----------------------------------------------------------------------